{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}

<div class="row">
<div class="col-md-12">
  <div class="content-box-large">
      <div class="panel-heading">
        <div class="panel-title">{{'Latest orders'|trans}}</div>
        
        <div class="panel-options">
         
        </div>
    </div>
      <div class="panel-body">
          <div class="table-responsive">
          <table class="table table-striped">
          <thead>
            <tr>
              <th>{{'Number'|trans}}</th>
              <th>{{'Customer'|trans}}</th>
              <th>{{'Is company'|trans}}</th>
              <th>{{'Status'|trans}}</th>
              <th>{{'Total excl tax'|trans}}</th>
              <th>{{'Total incl tax'|trans}}</th>
              <th>{{'Date created'|trans}}</th>
            </tr>
          </thead>
          <tbody>
           {% for order in orders %} 
              <tr>
                <td>#{{order.number}}</td>
                <td>{{order.getClientName()}}</td>
                <td>{{order.isCompany()?'<i class="far fa-check-circle"></i>':'<i class="far fa-times-circle"></i>'}}</td>
                <td>{{order.status|capitalize}}</td>
                <td>{{order.getFormattedTotalExclTax(default_currency_symbol)|raw}}</td>
                <td>{{order.getFormattedTotalInclTax(default_currency_symbol)|raw}}</td>
                <td>{{order.getDateCreated()|date('d.m.Y H:i')}}</td>
              </tr>
           {% else %}
              <tr>
                <td colspan="7">
                  {{"No orders found"|trans}}
                </td>
              </tr>
           {% endfor %}
          </tbody>
        </table>
        </div>
        
      </div>
  </div>
</div>
</div>

<div class="row">
    <div class="col-xs-12">
        <div class="messages">
    
        </div>
        <div class="content-box-header">
            <div class="panel-title">{{"Total ordered"|trans}}</div>
          
          <div class="panel-options">
             
          </div>
          <div class="order-totals-filters" style="display:inline-block;">
                <div class="col-xs-12 col-md-6">
                    <input type="text" class="form-control start_date"  placeholder="Start date">
                </div>
                <div class="col-xs-12 col-md-6">
                    <input type="text" class="form-control end_date" placeholder="End date">
                </div>
          </div>
        </div>
        <div class="content-box-large box-with-header">
       
            <div class="custom-chart" id="catchart" data-start="{{startOfYear.format("Y-m-d H:i")}}" data-end="{{endOfYear.format("Y-m-d H:i")}}"  data-tok="{{apiToken}}" data-url="{{path('api_sales_per_period')}}"  style="width:100%;height:300px"></div>
    
      </div>
    </div>
</div>

<div class="row">
    <div class="col-xs-12">
        <div class="messages">
    
        </div>
        <div class="content-box-header">
            <div class="panel-title">{{"Monthly ordered"|trans}}</div>
          
          <div class="panel-options">
             
          </div>
          <div class="additional-income-expense-filters" style="display:inline-block;width:100%;">
                <div class="col-xs-12 col-sm-3 col-md-2">
                    <select class="form-control start_month"  placeholder="{{'Month'|trans}}">
                      <option value="">{{"Choose month"}}</option>
                      {% for month in validMonths %}
                        <option value="{{month}}">{{month}}</option>
                      {% endfor %}
                    </select>
                </div>
                <div class="col-xs-12 col-sm-3 col-md-2">
                    <select class="form-control start_year"  placeholder="{{'Year'|trans}}">
                        <option value="">{{"Choose year"}}</option>
                        {% for year in validYears %}
                          <option value="{{year}}">{{year}}</option>
                        {% endfor %}
                      </select>
                
                </div>
          </div>
        </div>
        <div class="content-box-large box-with-header">
       
            <div class="custom-chart" id="income-expense-graph"  data-start="{{startOfMonth.format("Y-m-d H:i")}}" data-end="{{endOfMonth.format("Y-m-d H:i")}}" data-mode="week" data-tok="{{apiToken}}" data-url="{{path('api_total_sales_per_month')}}" style="height: 230px;"></div>
    
      </div>
    </div>
</div>


{% endblock %}

{% block scripts %}
      {{parent()}}
               <script src="{{asset('vendors/jquery.knob.js')}}"></script>
        <script src="{{asset('vendors/raphael-min.js')}}"></script>
        <script src="{{asset('vendors/morris/morris.min.js')}}"></script>

        <script src="{{asset('vendors/flot/jquery.flot.js')}}"></script>
        <script src="{{asset('vendors/flot/jquery.flot.categories.js')}}"></script>
        <script src="{{asset('vendors/flot/jquery.flot.pie.js')}}"></script>
        <script src="{{asset('vendors/flot/jquery.flot.time.js')}}"></script>
        <script src="{{asset('vendors/flot/jquery.flot.stack.js')}}"></script>
        <script src="{{asset('vendors/flot/jquery.flot.resize.js')}}"></script> 
       <script src="{{asset('js/customer_dashboard.js')}}"></script>         
{% endblock %}
